Bug 1291730 - [RFE] Separate Smart variables and Smart parameters in Host/HostGroup -> Parameters tab.
Summary: [RFE] Separate Smart variables and Smart parameters in Host/HostGroup -> Para...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Jameer Pathan
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1278718
TreeView+ depends on / blocked
 
Reported: 2015-12-15 13:59 UTC by Jitendra Yejare
Modified: 2019-09-25 21:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:14 UTC


Attachments (Terms of Use)
verification screenshot (73.51 KB, image/png)
2018-09-12 04:58 UTC, Jameer Pathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 12829 None None None 2016-04-22 16:53:27 UTC

Description Jitendra Yejare 2015-12-15 13:59:45 UTC
Description of problem:
Separate Smart variables and Smart parameters for class/classes in Host/HostGroup -> Parameters tab.
Its very confusing there to identify which is variable and which is parameter.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Override a parameter value of class 'something' to display in Host/HostGroup -> Parameters tab.
2. Create a new Smart variable in class 'something' to display in Host/HostGroup -> Parameters tab.
3. Go to Host/HostGroup -> Parameters tab.

Actual results:
The smart variable and smart class parameters lists together, which is very difficult to understand which is what. At least when we will have large number of parameters and variables in class.

Expected results:


Additional info:

Comment 1 Jitendra Yejare 2015-12-15 14:01:13 UTC
Created redmine issue http://projects.theforeman.org/issues/12829 from this bug

Comment 4 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 5 Bryan Kearney 2016-07-26 15:37:58 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 7 Bryan Kearney 2016-08-10 19:12:08 UTC
Upstream bug component is Configuration Management

Comment 8 Bryan Kearney 2016-08-10 20:13:06 UTC
Upstream bug component is Provisioning

Comment 9 Bryan Kearney 2016-08-10 22:12:46 UTC
Upstream bug component is Configuration Management

Comment 10 Bryan Kearney 2016-08-12 12:50:33 UTC
Upstream bug component is Smart Variables

Comment 11 pm-sat@redhat.com 2017-12-31 19:22:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12829 has been resolved.

Comment 13 Jameer Pathan 2018-09-12 04:56:56 UTC
Verified

@satellite 6.4.0 snap 21

step:
1. Override a parameter value of class 'something' to display in Host/HostGroup -> Parameters tab.
2. Create a new Smart variable in class 'something' to display in Host/HostGroup -> Parameters tab.
3. Go to Host/HostGroup -> Parameters tab.

Observation:
smart variables and smart class parameter are distinguishable.

Comment 14 Jameer Pathan 2018-09-12 04:58:05 UTC
Created attachment 1482539 [details]
verification screenshot

Comment 16 errata-xmlrpc 2018-10-16 15:26:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.